require "baiduserp/version"
require "baiduserp/parser"
require "baiduserp/analyser"

module Baiduserp
  def self.search(keyword,page=1)
    Parser.new.search(keyword,page)
  end

  def self.get_search_html(keyword,page=1)
    Parser.new.get_search_html(keyword,page)
  end

  def self.parse(html)
    Parser.new.parse html
  end

  def self.parse_file(file_path)
    Parser.new.parse_file file_path
  end

  def self.analyse(name,attrs={})
    Analyser.new(name,attrs)
  end
end
