class Baiduserp::Parser
  def _parse_ads_right(file)
    result = []
    file[:doc].search('div.EC_im').each do |div|
      r = {}

      r[:rank] = div['id'].sub('bdfs','').to_i + 1

      r[:title] = Baiduserp::Helper.get_content_safe(div.search('a.EC_t'))

      r[:content] = Baiduserp::Helper.get_content_safe(div.search('a.EC_desc/font'))

      r[:url] = Baiduserp::Helper.get_content_safe(div.search('font.EC_url'))

      result << r
    end
    result
  end
end
