class Baiduserp::Parser
  def _parse_con_ar(file)
    result = []
    divs = file[:doc].search("div#content_right div#con-ar").first
    return [] if divs.nil?
    divs.children.each do |div|
      next unless div['class'].to_s.include?('result-op')
      result << {:tpl => div['tpl'], 
        :data_click => Baiduserp::Helper.parse_data_click(div['data-click'])
      }
    end
    result
  end
end
