Sequel.migration do
  up do
    create_table :weights do
      primary_key :id
      foreign_key :keyword_id, :keywords
      Date :date
      String :side
      String :part
      String :type
      String :name
      String :site
      String :subdomain
      String :url
      Integer :side_rank
      Float :weight
      Float :normalized_weight

      index [:date, :keyword_id, :side, :side_rank]
    end
  end

  down do
    drop_table :weights
  end
end
