class Baiduserp::Parser
  def _parse_right_personinfo(file)
    rp = file[:doc].search('div[@tpl="right_personinfo"]')
    return nil if rp.nil?

    title = Baiduserp::Helper.get_content_safe rp.search('span.opr-personinfo-subtitle-large')
    info_summary = Baiduserp::Helper.get_content_safe rp.search('div.opr-personinfo-summary')
    info = Baiduserp::Helper.get_content_safe rp.search('div.opr-personinfo-info')
    source = Baiduserp::Helper.get_content_safe rp.search('div.opr-personinfo-source a')
    
    return nil if title.nil? && info.nil? && source.nil?
    {:title => title, :info_summary => info_summary, :info => info, :source => source}
  end
end
