class Baiduserp::Parser
  def _parse_right_relaperson(file)
    relapersons = file[:doc].search('div[@tpl="right_relaperson"]')
    return nil if relapersons.nil?

    result = []
    relapersons.each do |rr|
      title = rr.search('div.cr-title/span').first
      title = title.content unless title.nil?
      r = []
      rr.search('p.opr-relaperson-name/a').each do |p|
        r << p['title']
      end
      result << {:title => title, :names => r}
    end
    result
  end
end
