class Baiduserp::Parser
  def _parse_right_weather(file)
    rw = file[:doc].search('div[@tpl="right_weather"]')
    return nil if rw.nil?

    rw = rw.first
    return nil if rw.nil?

    title = Baiduserp::Helper.get_content_safe(rw.search('div.opr-weather-title'))
    week = rw.search('a.opr-weather-week').first['href']
    
    {:title => title, :week => week}
  end
end
